export declare function useProfileNavigationState(): {
    view: string;
};
export declare function useProfileNavigationDispatch(config?: {
    baseRoute?: string;
}): {
    change: (payload: string) => void;
    reset: () => void;
};
